diff -ru vmmon-only.orig/linux/driver.c vmmon-only/linux/driver.c
--- vmmon-only.orig/linux/driver.c	Thu May 10 11:33:58 2001
+++ vmmon-only/linux/driver.c	Thu Aug 16 17:55:29 2001
@@ -9,6 +9,7 @@
 #endif 
 
 #include "driver-config.h"
+#include "hostif.h"
 
 #ifdef KERNEL_2_1
 #define EXPORT_SYMTAB
@@ -19,7 +20,7 @@
 #include <linux/module.h>
 #include <linux/version.h>
 #include <linux/sched.h>
-#include <linux/malloc.h>
+#include <linux/slab.h>
 
 #ifdef __SMP__
 #include <linux/smp.h>
@@ -925,7 +926,7 @@
 	  current->fsuid == current->uid &&
           current->egid == current->gid &&
 	  current->fsgid == current->gid) {
-	 current->dumpable = 1;
+	 current->mm->dumpable = 1;
       }
       break;
 
diff -ru vmmon-only.orig/linux/hostif.c vmmon-only/linux/hostif.c
--- vmmon-only.orig/linux/hostif.c	Thu May 10 11:33:58 2001
+++ vmmon-only/linux/hostif.c	Thu Aug 16 17:35:37 2001
@@ -22,7 +22,7 @@
 #include <linux/binfmts.h>
 #include <linux/fs.h>
 #include <linux/mm.h>
-#include <linux/malloc.h>
+#include <linux/slab.h>
 
 #ifdef KERNEL_2_1
 #  ifdef KERNEL_2_3_25

